/* ### Modified by P. Saratxaga on 25 Oct 1995 ###
 * - added aftercall(nlent)  (code from T.Tanaka)
 */
#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include "lutil.h"
#include "nodelist.h"
#include "config.h"

#ifdef IFCS
#include "ifcs.h"
extern shmData_ *shmData;
void ipcloginf(int, char*,...);
#endif

#ifndef SHOW_SPEED
int chat(node*,modem_string*,modem_string*,modem_string*,int,char*);
#else
int chat(node*,modem_string*,modem_string*,modem_string*,int,char*,int);
#endif

int dialphone(nlent,phone)
node *nlent;
char *phone;
{
	int rc;

	debug(18,"dialing %s",S(phone));
#ifndef SHOW_SPEED
	if ((rc=chat(nlent,modemreset,modemok,modemerror,timeoutreset,phone)))
#else
	if ((rc=chat(nlent,modemreset,modemok,modemerror,timeoutreset,phone,0)))
#endif
	{
		logerr("could not reset the modem");
		return 2;
	}
#ifndef SHOW_SPEED
	else if ((rc=chat(nlent,modemdial,modemconnect,modemerror,
				timeoutconnect,phone)))
#else
	else if ((rc=chat(nlent,modemdial,modemconnect,modemerror,
				timeoutconnect,phone,1)))
#endif
	{
		loginf("could not connect to the remote");
		return 1;
	}
	else return 0;
}

int hangup(nlent)
node *nlent;
{
	debug(18,"hanging up");
#ifndef SHOW_SPEED
	chat(nlent,modemhangup,NULL,NULL,0,NULL);
#else
	chat(nlent,modemhangup,NULL,NULL,0,NULL,0);
#endif
	sleep(1);
	return 0;
}

int aftercall(nlent)
node *nlent;
{
	debug(18,"reading link stat (aftercall)");
#ifdef IFCS
	ipcloginf(1, "reading link stat (aftercall)");
#endif
#ifndef SHOW_SPEED
	chat(nlent,modemaftercall,NULL,NULL,0,NULL);
#else
	chat(nlent,modemaftercall,NULL,NULL,0,NULL,0);
#endif
	sleep(1);
	return 0;
}
