#ifndef JANUS_H
#define JANUS_H

#define JPKT_NONE	 0
#define JPKT_BAD	'@'
#define JPKT_FNAME	'A'
#define JPKT_FNACK	'B'
#define JPKT_BLK	'C'
#define JPKT_RPOS	'D'
#define JPKT_EOFACK	'E'
#define JPKT_HALT	'F'
#define JPKT_HALTACK	'G'
#define JPKT_FREQ	'H'
#define JPKT_FREQNAK	'I'
#define JPKT_FRNAKACK	'J'

#define JDLM_START	'a'
#define JDLM_END	'b'
#define JDLM_32START	'c'

#define JPKT_START		(-10)
#define JPKT_32START	(-11)
#define JPKT_END		(-12)

#define JCAP_CRC32	0x80
#define JCAP_FREQ	0x40
#define JCAP_CLEAR8	0x20
#define JCAP_OUR	(JCAP_CRC32 | JCAP_FREQ)

#define DBG_JANUS	25

extern int janus(void);

#endif
